Document
Download Sealed Document by ID
The Download Sealed Document by ID downloads a single sealed (signed) document as a PDF from a sealed envelope.
GET
/
sign
/
envelopes
/
{envelopeID}
/
documents
/
{documentID}
:download-sealed
Download Sealed Document by ID
curl --request GET \
--url https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}:download-sealed \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}:download-sealed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}:download-sealed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/sign/envelopes"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Not Found",
"status": 404,
"detail": "Envelope with ID 'envelop-123' not found",
"instance": "/sign/envelopes/envelop-123"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#409-conflict",
"title": "Conflict",
"status": 409,
"detail": "Envelope in invalid state",
"instance": "/sign/envelopes/%s:send-for-signing"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique UUIDv4 string that identifies the envelope in the Nitro system.
A unique string that identifies the document in the Nitro system.
Response
The sealed document as a PDF file
Previous
Create Field(s) by Document IDThe **Create Field(s) by Document ID** endpoint creates one or more fields on a document and assigns it to a participant.
Accepts either a single field object or a bulk request with an 'items' array containing multiple field objects.
Next
⌘I
Download Sealed Document by ID
